---
title: 'About BigchainDB'
layout: about

js: page-about.min.js

brand:
    title: Brand Assets
    description: You don't have to use Google to get our logo.

mediakit:
    title: Media Kit
    description: Get our full media kit in one handy package.
    download: Download media kit (zip)
    link: /mediakit.zip

intro: >
    BigchainDB is a blockchain database offering decentralization, immutability and native assets. BigchainDB allows for the deployment of large-scale applications in a variety of use cases and industries from intellectual property and identity to supply chain, and Internet-of-Things.

---

## Our story

In summer 2013, we started working on a project that became [ascribe](www.ascribe.io). It started with problems in the art world: "how do you collect digital art?" and "how do digital artists get paid?". To address this, we wondered aloud: "what if you could own digital art the way you own Bitcoin?" We pulled on this thread further; the idea made sense. So we built early prototypes, raised money, hired a few early employees, and improved the product. We released in beta in 2014, and production in early 2015. We built on the Bitcoin blockchain. Alas, its scalability issues prevented us from serving larger customers.

We observed that MongoDB and other distributed databases (DBs) were powering webapps at internet scale. We asked: how do we “blockchain-ify” such a database? We saw that they'd need three new characteristics: decentralized, immutable, and the ability to "own" assets by holding the private key. So, we wrapped RethinkDB (and later MongoDB) with code to achieve the target characteristics. The result is BigchainDB software.

We started to build a prototype of BigchainDB in late summer 2015. It matured enough to open-source and announce BigchainDB in February 2016. What initially started as a “let’s solve our own problem” approach quickly turned into something much bigger than we expected. People and enterprises from across all industries reached out looking to build on the technology. It became clear that we were solving much more than our own problem. 

We ran into another issue. Many people built prototypes on the technology, but there was no "live" network ready for them to use in production. Deploying their own became huge exercises and governance. So with others in the community, we initiated [IPDB Foundation](ipdb.io). Its mandate included running a live public BigchainDB network. We spent a lot of time designing governance.

By early 2017, we'd spent nearly four years thinking about IP and big data. We started to see problems at the intersection of these topics: how can you securely "own" data, and sell it while avoiding "data escapes"? Modern artificial intelligence (AI) was on the rise, and with it, the demand for way more data. We realized that blockchain technology could help, especially decentralized data marketplaces. With Toyota Research Institute, we [built](https://techcrunch.com/2017/05/22/toyota-pushes-into-blockchain-tech-to-enable-the-next-generation-of-cars) a prototype data marketplace that used BigchainDB. 

This initial foray into decentralized data marketplaces grew into a much larger project: [Ocean Protocol](www.oceanprotocol.com). The team at BigchainDB GmbH (the company) is now focused on Ocean Protocol. [IPDB Foundation](ipdb.io) has [assumed governance](https://medium.com/ipdb-blog/ipdb-foundation-assumes-governance-of-bigchaindb-software-and-testnet-51235322e14c) of the BigchainDB software and networks.

"ascribe" is a registered trademark of BigchainDB.
